package com.unis.model.bean.user;

/**
 * 包名: com.unis.model.bean
 * 类名: UserBean
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/9 11:04
 * 更新人:
 * 更新时间: 2020/12/9 11:04
 * <p>
 * 更新说明:
 * 版本号: 1.0
 */
public class UserBean {

    /**
     * personnelName : null
     * personnelId : null
     * depotId : null
     * depotName : null
     * storehouseIds : null
     * storehouseNames : null
     * roleIds : null
     * roleName : null
     * companyId : null
     * companyName : null
     * ustatus : 1
     * uname : wsm1
     * pheadPortrait : null
     * uid : 1
     * uphone : null
     * ppost : null
     */
    // 所属公司id
    private Integer companyId;
    // 所属公司名称
    private String companyName;
    // 所属部门id
    private Integer departmentId;
    // 所属部门名称
    private String departmentName;
    // 所属库id
    private String depotId;
    // 所属库名称
    private String depotName;
    // 人员id必填
    private Integer personnelId;
    // 人员名称(姓名)
    private String personnelName;
    // 头像
    private String pheadPortrait;
    // 职位
    private String ppost;
    // 角色id，多个使用‘,’号隔开
    private String roleIds;
    // 角色名称，多个使用‘,’号隔开
    private String roleName;
    // 仓房id，多个使用‘,’号隔开
    private String storehouseIds;
    // 仓房名称，多个使用‘,’号隔开
    private String storehouseNames;
    // 账号
    private String uname;
    // 手机号
    private String uphone;

    // 库等级  1=分库
    private Integer libraryLevel;

    // 用于区分登录跳转那个页面（1.分公司领导首页 2.库主任及以上领导首页 3.员工首页）必填项")
    private String homeType;

    private Integer uid;
    private String ustatus;


    public String getHomeType() {
        return homeType;
    }

    public void setHomeType(String homeType) {
        this.homeType = homeType;
    }

    public Integer getLibraryLevel() {
        return libraryLevel;
    }

    public void setLibraryLevel(Integer libraryLevel) {
        this.libraryLevel = libraryLevel;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Integer departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepotId() {
        return depotId;
    }

    public void setDepotId(String depotId) {
        this.depotId = depotId;
    }

    public String getDepotName() {
        return depotName;
    }

    public void setDepotName(String depotName) {
        this.depotName = depotName;
    }

    public Integer getPersonnelId() {
        return personnelId;
    }

    public void setPersonnelId(Integer personnelId) {
        this.personnelId = personnelId;
    }

    public String getPersonnelName() {
        return personnelName;
    }

    public void setPersonnelName(String personnelName) {
        this.personnelName = personnelName;
    }

    public String getPheadPortrait() {
        return pheadPortrait;
    }

    public void setPheadPortrait(String pheadPortrait) {
        this.pheadPortrait = pheadPortrait;
    }

    public String getPpost() {
        return ppost;
    }

    public void setPpost(String ppost) {
        this.ppost = ppost;
    }

    public String getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(String roleIds) {
        this.roleIds = roleIds;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getStorehouseIds() {
        return storehouseIds;
    }

    public void setStorehouseIds(String storehouseIds) {
        this.storehouseIds = storehouseIds;
    }

    public String getStorehouseNames() {
        return storehouseNames;
    }

    public void setStorehouseNames(String storehouseNames) {
        this.storehouseNames = storehouseNames;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    public String getUphone() {
        return uphone;
    }

    public void setUphone(String uphone) {
        this.uphone = uphone;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getUstatus() {
        return ustatus;
    }

    public void setUstatus(String ustatus) {
        this.ustatus = ustatus;
    }
}
